# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "shorturl"
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Robby Russell"]
  s.date = "2013-03-05"
  s.email = "robby@planetargon.com"
  s.executables = ["shorturl"]
  s.extra_rdoc_files = ["README.rdoc", "TODO.rdoc", "LICENSE.txt", "ChangeLog.txt"]
  s.files = ["bin/shorturl", "README.rdoc", "TODO.rdoc", "LICENSE.txt", "ChangeLog.txt"]
  s.homepage = "http://github.com/robbyrussell/shorturl/"
  s.licenses = ["MIT"]
  s.rdoc_options = ["--title", "ShortURL Documentation", "--main", "README.rdoc", "-S", "-N", "--all"]
  s.require_paths = ["lib"]
  s.rubygems_version = "2.0.14"
  s.summary = "Shortens URLs using services such as RubyURL, urlTea, bit.ly, moourl.com, and TinyURL"

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rdoc>, ["~> 3.0"])
    else
      s.add_dependency(%q<rdoc>, ["~> 3.0"])
    end
  else
    s.add_dependency(%q<rdoc>, ["~> 3.0"])
  end
end
